Subject: Re: [PATCH net-next] net: dsa: mv88e6xxx: Add suspend/resume callbacks

From: Miquel Raynal <[email-masked]>
Date: Thu, 17 Jan 2019 16:50:52 +0100

Hi Andrew, Vivien,

Vivien Didelot <[email-masked]> wrote on Thu, 17 Jan 2019
10:46:41 -0500:

> Hi,
> 
> On Wed, 16 Jan 2019 23:23:29 +0100, Andrew Lunn <[email-masked]> wrote:
> > Hi Florian
> >   
> > > A possible approach could be to call the port_disable, port_enable
> > > callbacks from dsa_slave_suspend() and dsa_slave_resume(), I might have
> > > some patches doing that already somewhere.  
> > 
> > I expect it is also on Viviens TODO list, since this really could be
> > in the core.  
> 
> Indeed that is!

So, shall I wait for Vivien's patches (adding port_disable/enable()
in dsa_slave_suspend/resume()) and keep the driver as-is or do you want
me to manually call port_disable/enable() from the mv88e6xxx driver?

Thanks,
Miquèl